@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@400;500;700;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@700&display=swap');

@import 'variables';
@import 'header';
@import 'burger';
@import 'intro';
@import 'about';
@import 'services';
@import 'contacts';
@import 'footer';

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    outline: none;
    font-family: 'Roboto Slab', serif;
}

body {
    background: $headerGreen;
}

.wrapper {
    @media screen and (min-width: $tablet) {
        max-width: 530px;
    }
    @media screen and (min-width: $sDesktop) {
        max-width: 787px;
    }
    @media screen and (min-width: $Desktop) {
        max-width: 1260px;
    }
}

.container {
    padding-left: 22px;
    padding-right: 22px;
    @media screen and (min-width: $tablet) {
        padding-left: 50px;
        padding-right: 50px;
    }
    @media screen and (min-width: $sDesktop) {
        padding-right: 130px;
        padding-left: 130px;
    }
    @media screen and (min-width: 1644px) {
        padding: 0;
    }
}

.btn {
    color: $btnFontColor !important;
    font-weight: 500 !important;
    display: flex !important;
    background: linear-gradient(
        91.86deg,
        #49a5e5 40%,
        #9ad5ff 53%,
        #49a5e5 100%
    ) !important;
    align-items: center !important;
    justify-content: center !important;
    border: none !important;
    animation: none;
    cursor: pointer !important;
    background-size: 250% 100% !important;
    transition: background-position 1s;
    &:hover {
        background-position: -180% 0 !important;
    }
    &:active {
        background: #3f86b9 !important;
        box-shadow: inset 2px 2px 7px rgba(0, 0, 0, 0.25);
    }
}

.media {
    display: flex;
    align-self: center;

    a {
        display: flex;
        border: none;
        margin: 0 12.5px;
        background: transparent;
        cursor: pointer;
        width: 34px;
        height: 34px;
        svg path {
            transition: fill 0.2s ease;
        }
        &:hover {
            svg path {
                fill: $btnColor;
            }
        }
    }
}
